*  MINLP written by GAMS Convert at 02/13/14 21:37:02
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*         27       10       16        1        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         17        9        4        4        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         69       63        6        0
*
*  Solve m using MINLP maximizing x17;


Variables  x1,x2,x3,x4,b5,b6,b7,b8,i9,i10,i11,i12,x13,x14,x15,x16,x17;

Positive Variables  x1,x2,x3,x4,x13,x14,x15,x16;

Binary Variables  b5,b6,b7,b8;

Integer Variables  i9,i10,i11,i12;

Equations  e1,e2,e3,e4,e5,e6,e7,e8,e9,e10,e11,e12,e13,e14,e15,e16,e17,e18,e19
          ,e20,e21,e22,e23,e24,e25,e26,e27;


e1..    x1 - x14 =E= 0;

e2..    x2 - 5*x15 =E= -200;

e3..    x3 - 1035*x16 =E= -200;

e4..    x4 =E= 150;

e5..  - x1 + x2 - 2700*b6 =G= -2699.99;

e6..  - x1 + x3 - 2700*b7 =G= -2699.99;

e7..  - x1 + x4 - 2700*b8 =G= -2699.99;

e8..    x1 - x2 - 2700*b5 =G= -2699.99;

e9..  - x2 + x3 - 2700*b7 =G= -2699.99;

e10..  - x2 + x4 - 2700*b8 =G= -2699.99;

e11..    x1 - x3 - 2700*b5 =G= -2699.99;

e12..    x2 - x3 - 2700*b6 =G= -2699.99;

e13..  - x3 + x4 - 2700*b8 =G= -2699.99;

e14..    x1 - x4 =G= 0.01;

e15..    x2 - x4 =G= 0.01;

e16..    x3 - x4 =G= 0.01;

e17..  - 100000*b5 + i9 =E= 0;

e18..  - 100000*b6 + i10 =E= 0;

e19..  - 100000*b7 + i11 =E= 0;

e20..  - 100000*b8 + i12 =E= 0;

e21..    b5 + b6 + b7 + b8 =E= 1;

e22..  - 450*i9 + x13 =G= 0;

e23..  - 450*i10 + x13 =G= 0;

e24..  - 450*i11 + x13 =G= 0;

e25..  - 450*i12 + x13 =G= 0;

e26..    x13 =L= 50000000;

e27.. -(-(200 + x14)*i9 - 5*x15*i10 - 1035*x16*i11) - 0.85*x13 + x17 =E= 0;

* set non-default bounds
i9.up = 100;
i10.up = 100;
i11.up = 100;
i12.up = 100;

Model m / all /;

m.limrow=0; m.limcol=0;

Solve m using MINLP maximizing x17;
